/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.presenter.signup;

import android.support.annotation.StringRes;

import kr.co.zumo.app.lifeplus.view.ISignUpView;

/**
 * ISignUpPinView
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 28.]   [최초 작성]
 * @since 2018. 9. 28.
 */
public interface ISignUpPinView extends ISignUpView {
  void setEnabled();

  void setDisabled();

  void restart();

  /**
   * 가이드 텍스트를 업데이트 한다.
   *
   * @param stringId
   */
  void updateGuideText(@StringRes int stringId);

  /**
   * 가이드 텍스트를 업데이트 한다.
   *
   * @param str
   */
  void updateGuideText(String str);

  /**
   *
   * @param color
   */
  void updateGuideTextColor(int color);

  /**
   * title 텍스트를 업데이트 한다.
   *
   * @param stringId
   */
  void updateTitleText(@StringRes int stringId);

  /**
   * 암호 재설정 버튼 표시;
   *
   * @param isVisible
   */
  void setResetButtonVisible(boolean isVisible);
}
